Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Sep 28 22:51
    ziyanli-amazon opened #2533
  • Sep 28 01:59
    kayw-geek commented #2456
  • Sep 27 19:56

    SamRemis on master

    Make two user agents identical … (compare)

  • Sep 27 19:56
    SamRemis closed #2532
  • Sep 27 18:22

    aws-sdk-php-automation on 3.236.1

    (compare)

  • Sep 27 18:22

    aws-sdk-php-automation on master

    Update models for release 3.236.1 release (compare)

  • Sep 27 18:10
    SamRemis synchronize #2532
  • Sep 27 17:37
    SamRemis synchronize #2532
  • Sep 27 17:32
    SamRemis edited #2532
  • Sep 27 17:31
    SamRemis opened #2532
  • Sep 27 16:42
    yenfryherrerafeliz edited #2531
  • Sep 27 16:42
    yenfryherrerafeliz review_requested #2531
  • Sep 27 16:41
    yenfryherrerafeliz opened #2531
  • Sep 26 18:15

    aws-sdk-php-automation on master

    Update models for release 3.236.0 release (compare)

  • Sep 26 18:15

    aws-sdk-php-automation on 3.236.0

    (compare)

  • Sep 26 17:54
    SamRemis synchronize #2517
  • Sep 26 13:57
    SamRemis synchronize #2517
  • Sep 26 13:47
    SamRemis synchronize #2517
  • Sep 24 06:13
    getsolaris edited #218
  • Sep 24 06:13
    getsolaris opened #218
Superkooka
@Superkooka
Hi! When do u expect to update the package for Laravel 9? aws/aws-sdk-php-laravel#205
SamRemis
@SamRemis
Hi there @Superkooka , can't give an exact date just yet, and I can't promise anything. That said, I'm pushing for us to officially stop support of 7.0 and lower soon in order to not make breaking changes for customers while enabling us to upgrade the versions of PHPUnit, Laravel, etc. Once we officially announce it, then we need to give it a few months before we can upgrade the repo to having the minimum version, and from that point, I just need to make the PR and check for breaking changes
1 reply
SamRemis
@SamRemis
So the few months thing is based on a part of our deprecation policy that says we need to give users warnings that their version will be deprecated soon.
Luckily, the policy is pretty vague; while precedent is that we give at least three months, I may be able to bend that a bit for the Laravel repo specifically. I should have a better idea of exactly how much I can bend it on Tuesday. I can’t promise an exact date even then, but I can at least give a clearer timeline.
Hossam Maher
@HosMercury_twitter
Hi could this package used for aws signature v4?
SamRemis
@SamRemis
@HosMercury_twitter, yes, it will provide sigv4 automatically on most calls
Sigv4a needs a dependency though
Hossam Maher
@HosMercury_twitter
Thx, but What dependency ?
I have a project that uses orderhive ( link above ) while orderhive used aws sig v4
SamRemis
@SamRemis
Aws-crt-PHP. It needs to be built manually for now, I have someone working on getting it to PECL. If you’re not using one of a very few features that require sigv4a (multi-region access points for example), sigv4 is included with the base SDK and should be enough
Hossam Maher
@HosMercury_twitter
Thx for the great effort , tbh i am a junior , if you could read the ( account ) part of the link above ( 1 min ) you could help me is your pkg is enough or nit?
SamRemis
@SamRemis
@HosMercury_twitter, I really can’t tell you since I’m not familiar with orderhive and what it’s doing, but I’d wager that yes, it’s enough.
It says it uses SigV4, not SigV4a, so going by that, you should be good.
Hossam Maher
@HosMercury_twitter
Thx Sam
Hossam Maher
@HosMercury_twitter
Hi Missio Sam
i have added your pkg , thankfully
so i have AWS facade
and amazon id and secret in my dotEnv
so how to send a request !? To amazon not regarded to s3
Sorry to bother u
but i have stuck
andreyduarte
@andreyduarte
Hello! I'm having some trouble installing the aws-sdk-php-laravel module onto a Laravel 9.0 app.
I'm using Composer and i've followed the instructions at the Github page. Whenever i install it the website crashes on start with a 500 Error (Class "Aws\Laravel\AwsServiceProvider" not found) (PrintScreen: https://postimg.cc/Zv5MpKTf). Any ideas to whats the reason? I've tried comporser update and dump-autoloader with no result.
Correct Prinscreen link: https://postimg.cc/Zv5MpKTf
Hemanth
@hemu161
Hi
I am trying to use aws-sdk-php for querying opensearch,
I am relatively new to both php and opensearch and couldn't find anything in the docs for that
I came across this link - https://docs.aws.amazon.com/aws-sdk-php/v3/api/api-opensearch-2021-01-01.html but couldn't find any method to query here
Can someone please help me
Nicolai Cornelis
@nickdnk
Hey. What permissions do I need for copyObject? I get "Access Denied" with "s3:GetObjectTagging", "s3:PutObjectTagging", "s3:PutObject", "s3:ListBucket", "s3:DeleteObject", "s3:PutObjectAcl", and upload/delete does work.
Chris Leeworthy
@Chris-Leeworthy
Hi folks. I am having problems with AWS access from Symfony 5.3 regarding credentials. I am using aws-vault exec to generate temporary credentials for an app. If I do an aws s3 ls everything works as expected. But when I try to test the app I get a "The security token included in the request is invalid." message back, despite having included the access key and secret key in the configuration. Someone suggested I may need to pass a session token too, but I don't know how to do that.
For context, two weeks ago I had heard of PHP and knew nothing about Symfony or aws-sdk-php so I am definitely in at the deep end!
Greg Borbonus
@gborbonus
Hi Guys, Guess everyone is dropping a line here. I just noticed that when I installed the sdk via composer, it did not include the transcribeService... Not sure if thats an issue with just the version I got or if you guys are having other issues, in either case, just wanted to let you know.
Greg Borbonus
@gborbonus
Nope, I'm an idiot.
was missing a dependency